#include "TCPLineBufferParser.h"

namespace core {
   
   TCPLineBufferParser::TCPLineBufferParser() {
      buffer = nullptr;
      bufferSize = 4096;      
      buffer = realloc(buffer, bufferSize);
      cursor = buffer;
   }
      
   void TCPLineBufferParser::readDataNotification() {
      
      len = ::read(getDescriptor(), buffer, bufferSize);

      for(unsigned int index = 0; index < bufferSize; ++index) {
	 if(cursor[index] == '\n') { 
	       coreutils::ZString data(cursor, index);
	       dataReceived(data); 
	 }
	 
      }
      
      
   }

   void TCPLineBufferParser::onDataReceived(coreutils::ZString data) {}
      
}
